import 'package:component_library/component_library.dart';
import 'package:flutter/material.dart';

class LandingAppBar extends StatelessWidget with PreferredSizeWidget {
  LandingAppBar({Key? key}) : super(key: key);

  final LayerLink _link = LayerLink();

  @override
  Widget build(BuildContext context) {
    final theme = GolekTheme.of(context);

    return AppBar(
      elevation: 0,
      backgroundColor: theme.primaryMainColor,
      actions: [
        CompositedTransformTarget(
          link: _link,
          child: GestureDetector(
            onTap: () {},
            child: Container(
              color: theme.primaryMainColor,
              width: 60,
              child: Column(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  Container(
                    width: 4,
                    height: 4,
                    decoration: BoxDecoration(
                      borderRadius: BorderRadius.circular(9999),
                      color: theme.neutral10Color,
                    ),
                  ),
                  const SizedBox(height: 4),
                  Container(
                    width: 4,
                    height: 4,
                    decoration: BoxDecoration(
                      borderRadius: BorderRadius.circular(9999),
                      color: theme.neutral10Color,
                    ),
                  ),
                  const SizedBox(height: 4),
                  Container(
                    width: 4,
                    height: 4,
                    decoration: BoxDecoration(
                      borderRadius: BorderRadius.circular(9999),
                      color: theme.neutral10Color,
                    ),
                  ),
                ],
              ),
            ),
          ),
        ),
      ],
    );
  }

  @override
  Size get preferredSize => const Size.fromHeight(kToolbarHeight);
}
